// This class downloads packages from the mirror, and modifies the array
// to substitute the package array for their newly downloaded filenames
// so that they can be installed by main.
// See COPYING for license information.

#include <iostream>
#include <vector>

class CPkgGetter
{
public:
	CPkgGetter(std::vector<std::string>& packages, const bool& autodeps);
protected:
	void	add_dependencies(package_map& db, std::vector<std::string>& packages, const bool& autodeps);
	bool	reinstall_prompt(const std::string& package);
	bool	dep_prompt(const std::string& package, const std::string& dep, const bool& autodeps);
	bool	file_exists(const std::string& filename);
};
